com.jacob.com

## Class EnumVariant

- java.lang.Object
- - com.jacob.com.JacobObject
  - - com.jacob.com.EnumVariant

- All Implemented Interfaces:
    java.util.Enumeration<Variant>

      public class EnumVariant
      extends JacobObject
      implements java.util.Enumeration<Variant>

  An implementation of IEnumVariant based on code submitted by Thomas Hallgren (mailto:Thomas.Hallgren@eoncompany.com)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `EnumVariant(Dispatch disp)`
    `protected` | `EnumVariant(long pIEnumVARIANT)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finalize()`
    `boolean` | `hasMoreElements()` Implements java.util.Enumeration
    `Variant` | `Next()` Deprecated. use nextElement() instead
    `int` | `Next(Variant[] receiverArray)` This should be private and wrapped to protect JNI layer.
    `Variant` | `nextElement()` Implements java.util.Enumeration
    `void` | `Reset()` This should be private and wrapped to protect JNI layer
    `void` | `safeRelease()` Finalizers call this method.
    `void` | `Skip(int count)` This should be private and wrapped to protect JNI layer.

    - ### Methods inherited from class com.jacob.com.JacobObject

      `debug, getBuildDate, getBuildVersion, isDebugEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumVariant

          protected EnumVariant(long pIEnumVARIANT)

    - #### EnumVariant

          public EnumVariant(Dispatch disp)

      Parameters:
        `disp` -

  - ### Method Detail

    - #### hasMoreElements

          public boolean hasMoreElements()

      Implements java.util.Enumeration
      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration<Variant>`
      Returns:
        boolean true if there are more elements in this enumeration

    - #### nextElement

          public Variant nextElement()

      Implements java.util.Enumeration
      Specified by:
        `nextElement` in interface `java.util.Enumeration<Variant>`
      Returns:
        next element in the enumeration

    - #### Next

          @Deprecated
          public Variant Next()

      Deprecated. use nextElement() instead
      Get next element in collection or null if at end
      Returns:
        Variant that is next in the collection

    - #### Next

          public int Next(Variant[] receiverArray)

      This should be private and wrapped to protect JNI layer.
      Parameters:
        `receiverArray` -
      Returns:
        Returns the next variant object pointer as an int from windows layer

    - #### Skip

          public void Skip(int count)

      This should be private and wrapped to protect JNI layer.
      Parameters:
        `count` - number to skip

    - #### Reset

          public void Reset()

      This should be private and wrapped to protect JNI layer

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### safeRelease

          public void safeRelease()

      Description copied from class: `JacobObject`
      Finalizers call this method. This method should release any COM data structures in a way that it can be called multiple times. This can happen if someone manually calls this and then a finalizer calls it.
      Overrides:
        `safeRelease` in class `JacobObject`

http://jacob-project.sourceforge.net